<?php

// --- FRAMEWORK CONSTANTS ---
// main directories:
define('SYSTEM_DIR', dirname(__FILE__));
define('WEB_DIR',  $index_dirname );

// system directories (required):
define('LIB_DIR', SYSTEM_DIR.'/lib');
define('MODULE_DIR', SYSTEM_DIR.'/modules');
define('ENGINE_DIR', SYSTEM_DIR.'/engine');

// system files (required):
define('START_ENGINE', ENGINE_DIR.'/start.php');

// system directories (optional):
define('TPL_DIR', SYSTEM_DIR.'/tpl');

// web directories (optional):
define('FILES_DIR', WEB_DIR.'/files');
define('UPLOADS_DIR', WEB_DIR.'/uploads');



// --- MODULE CONFIG: ---

// Site config:
$config['Site']['page_dir'] = SYSTEM_DIR.'/pages';
$config['Site']['script_dir'] = SYSTEM_DIR.'/scripts';

// Mapper config:
$config['Mapper']['object'] = 'ctl.mapper';
$config['Mapper']['allow_deny_order'] = 'deny,allow';
$config['Mapper']['deny'] = '*';
$config['Mapper']['allow'] = 'Site.Site,ctlfWeb.ctlfWebShoutbox';
$config['Mapper']['default_object'] = 'Site.Site';
$config['Mapper']['default_action'] = 'showIndex';

// DB config:
$config['db']['type'] = 'mysql';
$config['db']['user'] = 'root';
$config['db']['password'] = '';
$config['db']['host'] = 'localhost';
$config['db']['database'] = 'ctlf';
$config['db']['persistent'] = TRUE;
$config['db']['debug'] = FALSE;

// Shoutbox config:
$config['ctlfWeb.ctlfWebShoutbox']['tablename'] = 'shoutbox';
$config['ctlfWeb.ctlfWebShoutbox']['limit'] = 12;



// --- MODULE REGISTRY: ---

// load modules registry form file:
include(SYSTEM_DIR.'/modules.inc.php');

?>