<?php

/**
 * Loader function for the mapper objects.
 *
 * @function mapper_loader
 * @return ref object Module object.
 * @param string $obj_fullname Object full name.
 * @param array $config Module config.
 */  
function &Mapper_loader($obj_fullname, $config)
{
    /**
     * 1. try to load mapper object.
     *
     * This is done by looking in config what exact object implements the 
     * mapper functionality.
     * Thus $config['object'] has to be a full object name for the exact mapper 
     * module. E.g.: "ctl.mapper".
     */
    $obj = &loadObject($config['object']);
    
    // 2. Check if mapper object loaded:
    if (!is_object($obj))
    {
        die('<p>Unable to load mapper object in '.basename(__FILE__).'. Object loader error: '.getObjectLoadError($config['object']).'</p>');
    }
    else
    {
        return $obj;
    }
}

?>